# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94"
name = "nodedb-query"
version = "0.3.0-beta.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared query evaluation engine for NodeDB — expressions, filters, functions, aggregations, window functions"
homepage = "https://nodedb.dev"
documentation = "https://docs.rs/nodedb-query"
readme = "README.md"
keywords = [
    "query",
    "bm25",
    "fusion",
    "ranking",
    "search",
]
categories = [
    "algorithms",
    "text-processing",
]
license = "Apache-2.0"
repository = "https://github.com/NodeDB-Lab/nodedb"
resolver = "2"

[lib]
name = "nodedb_query"
path = "src/lib.rs"

[dependencies.nodedb-fts]
version = "=0.3.0-beta.1"

[dependencies.nodedb-spatial]
version = "=0.3.0-beta.1"

[dependencies.nodedb-types]
version = "=0.3.0-beta.1"

[dependencies.rust-stemmers]
version = "1"

[dependencies.rust_decimal]
version = "1"
features = ["serde-with-str"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sonic-rs]
version = "0.5"

[dependencies.thiserror]
version = "2.0"

[dependencies.unicode-normalization]
version = "0.1"

[dependencies.zerompk]
version = "0.5"
features = [
    "std",
    "derive",
]

[dev-dependencies]
